Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1060020

Summary: abrt-addon-upload-watch: /usr/sbin/abrt-upload-watch uses 100% CPU
Product: [Fedora] Fedora Reporter: Juan Orti Alcaine <juan.orti>
Component: abrtAssignee: Jakub Filak <jfilak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: abrt-devel-list, dvlasenk, iprikryl, jberan, jfilak, lnie, mmilata, mtoman
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard:
Fixed In Version: abrt-2.1.12-2.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1063317 (view as bug list) Environment:
Last Closed: 2014-02-14 08:06:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1063317    

Description Juan Orti Alcaine 2014-01-31 09:31:46 UTC
Description of problem:
I have enabled the service abrt-upload-watch.service to monitor the uploads folder for remote abrt reports and the process /usr/sbin/abrt-upload-watch uses 100% CPU always.

Version-Release number of selected component (if applicable):
abrt-addon-kerneloops-2.1.11-1.fc20.x86_64
abrt-desktop-2.1.11-1.fc20.x86_64
abrt-addon-python-2.1.11-1.fc20.x86_64
abrt-console-notification-2.1.11-1.fc20.x86_64
abrt-addon-vmcore-2.1.11-1.fc20.x86_64
abrt-python-2.1.11-1.fc20.x86_64
abrt-gui-libs-2.1.11-1.fc20.x86_64
abrt-libs-2.1.11-1.fc20.x86_64
abrt-retrace-client-2.1.11-1.fc20.x86_64
abrt-plugin-bodhi-2.1.11-1.fc20.x86_64
abrt-dbus-2.1.11-1.fc20.x86_64
abrt-2.1.11-1.fc20.x86_64
abrt-gui-2.1.11-1.fc20.x86_64
abrt-addon-xorg-2.1.11-1.fc20.x86_64
abrt-addon-pstoreoops-2.1.11-1.fc20.x86_64
abrt-cli-2.1.11-1.fc20.x86_64
abrt-addon-upload-watch-2.1.11-1.fc20.x86_64
abrt-addon-ccpp-2.1.11-1.fc20.x86_64
abrt-tui-2.1.11-1.fc20.x86_64
gnome-abrt-0.3.5-1.fc20.x86_64


How reproducible:
Always

Steps to Reproduce:
1. systemctl start abrt-upload-watch.service


Actual results:
100% CPU usage

Expected results:
Almost no CPU usage when idle

Additional info:

Comment 1 Jakub Filak 2014-02-07 17:12:35 UTC
Upstream commit c12b430997567f3d68ec8e7ba76674f20c27441b fixes this bug.

Comment 2 Fedora Update System 2014-02-10 16:14:59 UTC
abrt-2.1.12-2.fc20,libreport-2.1.12-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/abrt-2.1.12-2.fc20,libreport-2.1.12-2.fc20

Comment 3 Fedora Update System 2014-02-11 23:09:10 UTC
Package abrt-2.1.12-2.fc20, libreport-2.1.12-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.1.12-2.fc20 libreport-2.1.12-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2275/abrt-2.1.12-2.fc20,libreport-2.1.12-2.fc20
then log in and leave karma (feedback).

Comment 4 lnie 2014-02-13 05:43:53 UTC
abrt-2.1.12-2.fc20,libreport-2.1.12-2.fc20 works

Comment 5 Fedora Update System 2014-02-14 08:06:58 UTC
abrt-2.1.12-2.fc20, libreport-2.1.12-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.